Loading...
Searching...
No Matches
AVProducerReferenceTime Struct Reference

This structure supplies correlation between a packet timestamp and a wall clock production time. More...

`#include <libavcodec/defs.h>`

## Data Fields

int64_t | wallclock
| A UTC timestamp, in microseconds, since Unix epoch (e.g, av_gettime()).
int | flags

## Detailed Description

This structure supplies correlation between a packet timestamp and a wall clock production time.

The definition follows the Producer Reference Time ('prft') as defined in ISO/IEC 14496-12

Definition at line 331 of file defs.h.

## Field Documentation

## wallclock

int64_t AVProducerReferenceTime::wallclock

A UTC timestamp, in microseconds, since Unix epoch (e.g, av_gettime()).

Definition at line 335 of file defs.h.

## flags

int AVProducerReferenceTime::flags

Definition at line 336 of file defs.h.

The documentation for this struct was generated from the following file:

- libavcodec/defs.h